Index: branches/2520_PersistenceReintegration/HeuristicLab.Problems.GeneticProgramming/3.3/robocode/EnemyCollection.cs
===================================================================
--- branches/2520_PersistenceReintegration/HeuristicLab.Problems.GeneticProgramming/3.3/robocode/EnemyCollection.cs	(revision 16453)
+++ branches/2520_PersistenceReintegration/HeuristicLab.Problems.GeneticProgramming/3.3/robocode/EnemyCollection.cs	(revision 16462)
@@ -27,9 +27,9 @@
 using HeuristicLab.Core;
 using HeuristicLab.Data;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HEAL.Fossil;
 
 namespace HeuristicLab.Problems.GeneticProgramming.Robocode {
   [Item("EnemyCollection", "A collection of enemy robots for the Robocode genetic programming problem.")]
-  [StorableClass]
+  [StorableType("78324566-09C2-4D2F-A54F-79613934D7F1")]
   public class EnemyCollection : CheckedItemList<StringValue> {
     private const string sampleRobotToSelect = "sample.Crazy";
@@ -39,5 +39,5 @@
 
     [StorableConstructor]
-    protected EnemyCollection(bool deserializing) : base(deserializing) { }
+    protected EnemyCollection(StorableConstructorFlag _) : base(_) { }
     protected EnemyCollection(EnemyCollection original, Cloner cloner)
       : base(original, cloner) {
Index: branches/2520_PersistenceReintegration/HeuristicLab.Problems.GeneticProgramming/3.3/robocode/Grammar.cs
===================================================================
--- branches/2520_PersistenceReintegration/HeuristicLab.Problems.GeneticProgramming/3.3/robocode/Grammar.cs	(revision 16453)
+++ branches/2520_PersistenceReintegration/HeuristicLab.Problems.GeneticProgramming/3.3/robocode/Grammar.cs	(revision 16462)
@@ -23,8 +23,8 @@
 using HeuristicLab.Core;
 using HeuristicLab.Encodings.SymbolicExpressionTreeEncoding;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HEAL.Fossil;
 
 namespace HeuristicLab.Problems.GeneticProgramming.Robocode {
-  [StorableClass]
+  [StorableType("DC5FF90A-AD5A-4A56-8A9B-F117D2B842AD")]
   [Item("Robocode Grammar", "The grammar for the Robocode GP problem.")]
   public class Grammar : SymbolicExpressionGrammar {
@@ -39,5 +39,5 @@
 
     [StorableConstructor]
-    protected Grammar(bool deserializing) : base(deserializing) { }
+    protected Grammar(StorableConstructorFlag _) : base(_) { }
     protected Grammar(Grammar original, Cloner cloner) : base(original, cloner) { }
 
Index: branches/2520_PersistenceReintegration/HeuristicLab.Problems.GeneticProgramming/3.3/robocode/Problem.cs
===================================================================
--- branches/2520_PersistenceReintegration/HeuristicLab.Problems.GeneticProgramming/3.3/robocode/Problem.cs	(revision 16453)
+++ branches/2520_PersistenceReintegration/HeuristicLab.Problems.GeneticProgramming/3.3/robocode/Problem.cs	(revision 16462)
@@ -26,8 +26,8 @@
 using HeuristicLab.Optimization;
 using HeuristicLab.Parameters;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HEAL.Fossil;
 
 namespace HeuristicLab.Problems.GeneticProgramming.Robocode {
-  [StorableClass]
+  [StorableType("0B4FE44B-3044-4531-8CA9-3C4D3BB3A4BB")]
   [Creatable(CreatableAttribute.Categories.GeneticProgrammingProblems, Priority = 360)]
   [Item("Robocode Problem", "Evolution of a robocode program in java using genetic programming.")]
@@ -67,5 +67,5 @@
 
     [StorableConstructor]
-    protected Problem(bool deserializing) : base(deserializing) { }
+    protected Problem(StorableConstructorFlag _) : base(_) { }
     protected Problem(Problem original, Cloner cloner)
       : base(original, cloner) {
Index: branches/2520_PersistenceReintegration/HeuristicLab.Problems.GeneticProgramming/3.3/robocode/Solution.cs
===================================================================
--- branches/2520_PersistenceReintegration/HeuristicLab.Problems.GeneticProgramming/3.3/robocode/Solution.cs	(revision 16453)
+++ branches/2520_PersistenceReintegration/HeuristicLab.Problems.GeneticProgramming/3.3/robocode/Solution.cs	(revision 16462)
@@ -23,8 +23,8 @@
 using HeuristicLab.Core;
 using HeuristicLab.Encodings.SymbolicExpressionTreeEncoding;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HEAL.Fossil;
 
 namespace HeuristicLab.Problems.GeneticProgramming.Robocode {
-  [StorableClass]
+  [StorableType("09AA644E-2092-4108-BAAB-4C0B85C56C07")]
   [Item("Solution", "Robocode program and configuration.")]
   public sealed class Solution : Item {
@@ -42,5 +42,5 @@
 
     [StorableConstructor]
-    private Solution(bool deserializing) : base(deserializing) { }
+    private Solution(StorableConstructorFlag _) : base(_) { }
     private Solution(Solution original, Cloner cloner)
       : base(original, cloner) {
Index: branches/2520_PersistenceReintegration/HeuristicLab.Problems.GeneticProgramming/3.3/robocode/Symbols/BooleanTreeNode.cs
===================================================================
--- branches/2520_PersistenceReintegration/HeuristicLab.Problems.GeneticProgramming/3.3/robocode/Symbols/BooleanTreeNode.cs	(revision 16453)
+++ branches/2520_PersistenceReintegration/HeuristicLab.Problems.GeneticProgramming/3.3/robocode/Symbols/BooleanTreeNode.cs	(revision 16462)
@@ -23,8 +23,8 @@
 using HeuristicLab.Core;
 using HeuristicLab.Encodings.SymbolicExpressionTreeEncoding;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HEAL.Fossil;
 
 namespace HeuristicLab.Problems.GeneticProgramming.Robocode {
-  [StorableClass]
+  [StorableType("93829075-7B5D-4D2D-B297-64AD120B6342")]
   public class BooleanTreeNode : SymbolicExpressionTreeTerminalNode {
     private bool value;
@@ -36,5 +36,5 @@
 
     [StorableConstructor]
-    protected BooleanTreeNode(bool deserializing) : base(deserializing) { }
+    protected BooleanTreeNode(StorableConstructorFlag _) : base(_) { }
     protected BooleanTreeNode(BooleanTreeNode original, Cloner cloner)
       : base(original, cloner) {
Index: branches/2520_PersistenceReintegration/HeuristicLab.Problems.GeneticProgramming/3.3/robocode/Symbols/BooleanValue.cs
===================================================================
--- branches/2520_PersistenceReintegration/HeuristicLab.Problems.GeneticProgramming/3.3/robocode/Symbols/BooleanValue.cs	(revision 16453)
+++ branches/2520_PersistenceReintegration/HeuristicLab.Problems.GeneticProgramming/3.3/robocode/Symbols/BooleanValue.cs	(revision 16462)
@@ -20,11 +20,10 @@
 #endregion
 
-using System.Collections.Generic;
 using HeuristicLab.Common;
 using HeuristicLab.Encodings.SymbolicExpressionTreeEncoding;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HEAL.Fossil;
 
 namespace HeuristicLab.Problems.GeneticProgramming.Robocode {
-  [StorableClass]
+  [StorableType("885EE784-E3EC-44D7-B957-A72EBF556F90")]
   public class BooleanValue : Symbol {
     public override int MinimumArity { get { return 0; } }
@@ -32,5 +31,5 @@
 
     [StorableConstructor]
-    protected BooleanValue(bool deserializing) : base(deserializing) { }
+    protected BooleanValue(StorableConstructorFlag _) : base(_) { }
     protected BooleanValue(BooleanValue original, Cloner cloner) : base(original, cloner) { }
 
Index: branches/2520_PersistenceReintegration/HeuristicLab.Problems.GeneticProgramming/3.3/robocode/Symbols/CodeSymbol.cs
===================================================================
--- branches/2520_PersistenceReintegration/HeuristicLab.Problems.GeneticProgramming/3.3/robocode/Symbols/CodeSymbol.cs	(revision 16453)
+++ branches/2520_PersistenceReintegration/HeuristicLab.Problems.GeneticProgramming/3.3/robocode/Symbols/CodeSymbol.cs	(revision 16462)
@@ -20,11 +20,10 @@
 #endregion
 
-using System.Collections.Generic;
 using HeuristicLab.Common;
 using HeuristicLab.Encodings.SymbolicExpressionTreeEncoding;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HEAL.Fossil;
 
 namespace HeuristicLab.Problems.GeneticProgramming.Robocode {
-  [StorableClass]
+  [StorableType("104E6124-7427-4639-A740-F68384CD8592")]
   // a symbol that can represent any user-defined fragment of code
   public sealed class CodeSymbol : Symbol {
@@ -39,5 +38,5 @@
 
     [StorableConstructor]
-    private CodeSymbol(bool deserializing) : base(deserializing) { }
+    private CodeSymbol(StorableConstructorFlag _) : base(_) { }
     private CodeSymbol(CodeSymbol original, Cloner cloner)
       : base(original, cloner) {
Index: branches/2520_PersistenceReintegration/HeuristicLab.Problems.GeneticProgramming/3.3/robocode/Symbols/Number.cs
===================================================================
--- branches/2520_PersistenceReintegration/HeuristicLab.Problems.GeneticProgramming/3.3/robocode/Symbols/Number.cs	(revision 16453)
+++ branches/2520_PersistenceReintegration/HeuristicLab.Problems.GeneticProgramming/3.3/robocode/Symbols/Number.cs	(revision 16462)
@@ -20,12 +20,10 @@
 #endregion
 
-using System.Collections.Generic;
-using System.Globalization;
 using HeuristicLab.Common;
 using HeuristicLab.Encodings.SymbolicExpressionTreeEncoding;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HEAL.Fossil;
 
 namespace HeuristicLab.Problems.GeneticProgramming.Robocode {
-  [StorableClass]
+  [StorableType("579762A5-8A48-475F-90E1-E4222E52DC88")]
   public class Number : Symbol {
     public override int MinimumArity { get { return 0; } }
@@ -33,5 +31,5 @@
 
     [StorableConstructor]
-    protected Number(bool deserializing) : base(deserializing) { }
+    protected Number(StorableConstructorFlag _) : base(_) { }
     protected Number(Number original, Cloner cloner) : base(original, cloner) { }
 
Index: branches/2520_PersistenceReintegration/HeuristicLab.Problems.GeneticProgramming/3.3/robocode/Symbols/NumberTreeNode.cs
===================================================================
--- branches/2520_PersistenceReintegration/HeuristicLab.Problems.GeneticProgramming/3.3/robocode/Symbols/NumberTreeNode.cs	(revision 16453)
+++ branches/2520_PersistenceReintegration/HeuristicLab.Problems.GeneticProgramming/3.3/robocode/Symbols/NumberTreeNode.cs	(revision 16462)
@@ -23,8 +23,8 @@
 using HeuristicLab.Core;
 using HeuristicLab.Encodings.SymbolicExpressionTreeEncoding;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HEAL.Fossil;
 
 namespace HeuristicLab.Problems.GeneticProgramming.Robocode {
-  [StorableClass]
+  [StorableType("C2A2B6C5-3320-4231-A1B3-F8B8CF8B03A5")]
   public class NumberTreeNode : SymbolicExpressionTreeTerminalNode {
     private int value;
@@ -36,5 +36,5 @@
 
     [StorableConstructor]
-    protected NumberTreeNode(bool deserializing) : base(deserializing) { }
+    protected NumberTreeNode(StorableConstructorFlag _) : base(_) { }
     protected NumberTreeNode(NumberTreeNode original, Cloner cloner)
       : base(original, cloner) {
Index: branches/2520_PersistenceReintegration/HeuristicLab.Problems.GeneticProgramming/3.3/robocode/Symbols/ShotPower.cs
===================================================================
--- branches/2520_PersistenceReintegration/HeuristicLab.Problems.GeneticProgramming/3.3/robocode/Symbols/ShotPower.cs	(revision 16453)
+++ branches/2520_PersistenceReintegration/HeuristicLab.Problems.GeneticProgramming/3.3/robocode/Symbols/ShotPower.cs	(revision 16462)
@@ -20,12 +20,10 @@
 #endregion
 
-using System.Collections.Generic;
-using System.Globalization;
 using HeuristicLab.Common;
 using HeuristicLab.Encodings.SymbolicExpressionTreeEncoding;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HEAL.Fossil;
 
 namespace HeuristicLab.Problems.GeneticProgramming.Robocode {
-  [StorableClass]
+  [StorableType("95B53DAD-A47C-49CD-8157-6DF34A750F68")]
   public class ShotPower : Symbol {
     public override int MinimumArity { get { return 0; } }
@@ -33,5 +31,5 @@
 
     [StorableConstructor]
-    protected ShotPower(bool deserializing) : base(deserializing) { }
+    protected ShotPower(StorableConstructorFlag _) : base(_) { }
     protected ShotPower(ShotPower original, Cloner cloner) : base(original, cloner) { }
 
Index: branches/2520_PersistenceReintegration/HeuristicLab.Problems.GeneticProgramming/3.3/robocode/Symbols/ShotPowerTreeNode.cs
===================================================================
--- branches/2520_PersistenceReintegration/HeuristicLab.Problems.GeneticProgramming/3.3/robocode/Symbols/ShotPowerTreeNode.cs	(revision 16453)
+++ branches/2520_PersistenceReintegration/HeuristicLab.Problems.GeneticProgramming/3.3/robocode/Symbols/ShotPowerTreeNode.cs	(revision 16462)
@@ -24,8 +24,8 @@
 using HeuristicLab.Core;
 using HeuristicLab.Encodings.SymbolicExpressionTreeEncoding;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HEAL.Fossil;
 
 namespace HeuristicLab.Problems.GeneticProgramming.Robocode {
-  [StorableClass]
+  [StorableType("BF268663-45F4-4E94-8605-33373BE2D612")]
   public class ShotPowerTreeNode : SymbolicExpressionTreeTerminalNode {
     private double value;
@@ -37,5 +37,5 @@
 
     [StorableConstructor]
-    protected ShotPowerTreeNode(bool deserializing) : base(deserializing) { }
+    protected ShotPowerTreeNode(StorableConstructorFlag _) : base(_) { }
     protected ShotPowerTreeNode(ShotPowerTreeNode original, Cloner cloner)
       : base(original, cloner) {
